## Bug Reports

A bug is a *demonstrable problem* that is caused by the code in the repository. Good bug reports are extremely helpful - thank you!

Guidelines for bug reports:

1. **Use the GitHub issue search** — check if the issue has already been reported.
2. **Check if the issue has been fixed** — try to reproduce it using the latest `master` or development branch in the repository.
3. **Isolate the problem** — ideally create a [reduced test case](https://css-tricks.com/reduced-test-cases/) and a live example.

A good bug report shouldn't leave others needing to chase you up for more information. Please try to be as detailed as possible in your report. What is your environment? What steps will reproduce the issue? What browser(s) and OS experience the problem? What would you expect to be the outcome? All these details will help people to fix any potential bugs.

**Example:**

> Describe the issue. Is it a bug or a feature request (new component, new icon, new CSS class)?
>
> Is this issue related to a specific component, variant, and/or state? If so, please detail which.
>
> Are any specific browsers impacted by this bug?
>
> Which version of the Salesforce Lightning Design System are you using?
>
> What steps and/or code are need to reproduce this issue?
>  1. This is the first step
>  2. This is the second step
>  3. Further steps, etc.
>
> What did you expect to happen?
>
> What actually happened?
>
> Include one or more screenshots if applicable, as well as a Codepen with the reduced test case.
